[jira] [Commented] (GROOVY-8690) Bump picocli version to 3.2.0 from 3.1.0

Previous Topic Next Topic
 
classic Classic list List threaded Threaded
1 message Options
Reply | Threaded
Open this post in threaded view
|

[jira] [Commented] (GROOVY-8690) Bump picocli version to 3.2.0 from 3.1.0

JIRA jira@apache.org

    [ https://issues.apache.org/jira/browse/GROOVY-8690?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=16535952#comment-16535952 ]

ASF GitHub Bot commented on GROOVY-8690:
----------------------------------------

Github user asfgit closed the pull request at:

    https://github.com/apache/groovy/pull/770


> Bump picocli version to 3.2.0 from 3.1.0
> ----------------------------------------
>
>                 Key: GROOVY-8690
>                 URL: https://issues.apache.org/jira/browse/GROOVY-8690
>             Project: Groovy
>          Issue Type: Dependency upgrade
>          Components: command line processing
>    Affects Versions: 2.5.0
>            Reporter: Remko Popma
>            Priority: Major
>             Fix For: 2.5.1
>
>
> Many improvements. For Groovy users, perhaps most interesting is better support for completion candidates (both bash completion scripts and JLine interactive applications). 
> The description for options and positional parameters can contain variables that expand to the default value or completion candidates.
> For more details, see https://github.com/remkop/picocli/releases/tag/v3.2.0



--
This message was sent by Atlassian JIRA
(v7.6.3#76005)